System 2.0.0.0 4.0.0.0 System.Enum System.Flags

You can combine any of these options to configure a generic URI parser by passing the options as a parameter to the constructor.

The existing class has been extended to provide support for International Resource Identifiers (IRI) based on RFC 3987. Current users will not see any change from the .NET Framework 2.0 behavior unless they specifically enable IRI. This ensures application compatibility with prior versions of the .NET Framework.

The configuration setting for the is indirectly controlled by the configuration setting that controls IRI processing in the class. IRI processing must be enabled for IDN processing to be possible. If IRI processing is disabled, then IDN processing will be set to the default setting where the .NET Framework 2.0 behavior is used for compatibility and IDN names are not used.

The Internationalized Domain Name (IDN) attribute only controls IDN processing. All other IRI processing (character normalization, for example) is performed by default.

For more information on IRI support, see the Remarks section for the class.

Specifies options for a .

- Field
  2.0.0.0
  4.0.0.0
  System.GenericUriParserOptions

  The parser allows a URI with no authority.

- Field
  2.0.0.0
  4.0.0.0
  System.GenericUriParserOptions

  requires an authority

  converts back slashes into forward slashes

  unescapes path dots, forward slashes, and back slashes

  The parser:

- Field
  2.0.0.0
  4.0.0.0
  System.GenericUriParserOptions

  The parser does not canonicalize the URI.

- Field
  2.0.0.0
  4.0.0.0
  System.GenericUriParserOptions

  The parser does not convert back slashes into forward slashes.

- Field
  2.0.0.0
  4.0.0.0
  System.GenericUriParserOptions

  The parser does not unescape path dots, forward slashes, or back slashes.

- Field
  2.0.0.0
  4.0.0.0
  System.GenericUriParserOptions

  The parser allows a registry-based authority.

- Field
  4.0.0.0
  System.GenericUriParserOptions

  The parser supports Internationalized Domain Name (IDN) parsing (IDN) of host names. Whether IDN is used is dictated by configuration values. See the Remarks for more information.

- Field
  4.0.0.0
  System.GenericUriParserOptions

  The parser supports the parsing rules specified in RFC 3987 for International Resource Identifiers (IRI). Whether IRI is used is dictated by configuration values. See the Remarks for more information.

- Field
  2.0.0.0
  4.0.0.0
  System.GenericUriParserOptions

  The scheme does not define a fragment part.

- Field
  2.0.0.0
  4.0.0.0
  System.GenericUriParserOptions

  The scheme does not define a port.

- Field
  2.0.0.0
  4.0.0.0
  System.GenericUriParserOptions

  The scheme does not define a query part.

- Field
  2.0.0.0
  4.0.0.0
  System.GenericUriParserOptions

  The scheme does not define a user information part.